Subject: bug#18643: 25.0.50; elisp--expect-function-p

From: Stefan Monnier <[email-masked]>
Date: Fri, 10 Oct 2014 09:25:06 -0400

>> We could provide a config option, but I'd rather we don't offer those
>> completions by default.
> For example, I need to add comment to a line with a bit of lisp form. I
> already M-; and typed in a few words followed by `:':
>         ;; Another way: (average (compute-weight ....) ...)
> Now I won't be able to complete anything while finishing the form. I
> have to uncomment first then finish the form and comment again.

I know, but there's really no way for Emacs to know what you intend to
complete here.

So I think the right solution for this is to write
a completion-at-point-function which is designed specifically for
"completion in strings and comments" and which would probably rely on
something like dabbrev, complemented by a major-mode-supplied list of
additional candidates.

WDYT?

        Stefan